Package: org.grails.dev.support

## [Groovy] Class DevelopmentShutdownHook

- org.grails.dev.support.DevelopmentShutdownHook

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationContextAware

      class DevelopmentShutdownHook
      extends java.lang.Object
      implements org.springframework.context.ApplicationContextAware

  Registers a shutdown hook to close the application context when CTRL+C is hit in dev mode.

  Authors:
    Graeme Rocher
  Since:
    1.1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `INSTALLED` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DevelopmentShutdownHook ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String INSTALLED

  - ### Constructor Detail

    - #### DevelopmentShutdownHook()

  - ### Method Detail

    - #### @groovy.transform.CompileStatic void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)